Subject: Re: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Oleh Krehel <[email-masked]>
Date: Sat, 30 May 2015 21:26:03 +0200

Eli Zaretskii <[email-masked]> writes:

> Thanks.  I think I know what the problem is.  If you still have this
> in GDB, could you show the output of the following commands:
>
>  (gdb) frame 2
>  (gdb) p first_row_to_display->y
>  (gdb) p yb
>  (gdb) p window_text_bottom_y (w)

I closed it, but here it is from the new one:

bt
#0  init_from_display_pos (it=it@entry=0x7fffffff7bc0, w=w@entry=0x11d5eb0, pos=pos@entry=0x1b71180) at xdisp.c:3135
#1  0x0000000000452186 in init_to_row_start (row=0x1b71130, w=0x11d5eb0, it=0x7fffffff7bc0) at xdisp.c:3205
#2  try_window_reusing_current_matrix (w=w@entry=0x11d5eb0) at xdisp.c:17245
#3  0x000000000045e37c in redisplay_window (window=18702005, just_this_one_p=just_this_one_p@entry=true) at xdisp.c:16577
#4  0x000000000046232e in redisplay_window_1 (window=window@entry=18702005) at xdisp.c:14203
#5  0x0000000000554eb3 in internal_condition_case_1 (bfun=bfun@entry=0x462300 <redisplay_window_1>, arg=18702005, handlers=<optimized out>, hfun=hfun@entry=0x429930 <redisplay_window_error>) at eval.c:1372
#6  0x00000000004502d8 in redisplay_internal () at xdisp.c:13846
#7  0x0000000000451775 in redisplay () at xdisp.c:13030
#8  0x00000000004f03db in read_char (commandflag=commandflag@entry=1, map=map@entry=30649395, prev_event=0, used_mouse_menu=used_mouse_menu@entry=0x7fffffffcf6b, end_time=end_time@entry=0x0) at keyboard.c:2542
#9  0x00000000004f2cd3 in read_key_sequence (keybuf=keybuf@entry=0x7fffffffd040, prompt=prompt@entry=0, dont_downcase_last=dont_downcase_last@entry=false, can_return_switch_frame=can_return_switch_frame@entry=true, fix_current_buffer=fix_current_buffer@entry=true, prevent_redisplay=prevent_redisplay@entry=false, bufsize=30) at keyboard.c:9156
#10 0x00000000004f4891 in command_loop_1 () at keyboard.c:1407
#11 0x0000000000554d8b in internal_condition_case (bfun=bfun@entry=0x4f4660 <command_loop_1>, handlers=handlers@entry=19872, hfun=hfun@entry=0x4eb610 <cmd_error>) at eval.c:1348
#12 0x00000000004e6d0c in command_loop_2 (ignore=ignore@entry=0) at keyboard.c:1139
#13 0x0000000000554c93 in internal_catch (tag=tag@entry=47328, func=func@entry=0x4e6cf0 <command_loop_2>, arg=arg@entry=0) at eval.c:1108
#14 0x00000000004e6cc7 in command_loop () at keyboard.c:1118
#15 0x00000000004eb248 in recursive_edit_1 () at keyboard.c:728
#16 0x00000000004eb565 in Frecursive_edit () at keyboard.c:799
#17 0x0000000000415a48 in main (argc=1, argv=0x7fffffffd3b8) at emacs.c:1626

frame 2
#2  try_window_reusing_current_matrix (w=w@entry=0x11d5eb0) at xdisp.c:17245
17245	      init_to_row_start (&it, w, first_row_to_display);

p first_row_to_display->y
$1 = 909

p yb
$2 = <optimized out>

p window_text_bottom_y (w)
$3 = 909